Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.agent
Class Agent

`java.lang.Object
oracle.ovs.api.datamodel.agent.Agent`

All Implemented Interfaces:
  java.io.Serializable

      public class Agent

extends java.lang.Object
implements java.io.Serializable

Agent datamodel entity.

Generally, user need not new `Agent` object by themself, OVM Manager API will auto gernerate `Agent` object against `VirtualServer` info.

See Also:
  `VirtualServer`, `UtilityVirtualServer`, `MasterVirtualServer`, Serialized Form

Constructor Summary
`Agent()`

Method Summary
`java.lang.Long` | `getAgentId()` Agent ID getter,agent Id will be auto-generated by DB squence.
`java.lang.String` | `getConnectionMode()` Agent Connection mode, its default value is '2'(means support http secure protocol)
`java.lang.String` | `getIp()` Agent IP/Hostname setter
`java.lang.String` | `getMasterLogin()` Agent xml-rpc access username, its default value is oracle Manager communication with agent will use this username.
`java.lang.String` | `getPassword()` Agent xml-rpc access password against username, its default value is oracle. Manager communication with agent will use this password.
`java.lang.Long` | `getPort()` Agent xml-rpc access port number, its default value is 8899
`java.lang.String` | `getStatus()` Agent Status.
`java.lang.String` | `getType()` Deprecated. Agent Type Agent type will changed with server type, And it will be stored into agent db.
`java.lang.String` | `getVersion()` Agent Version Number.
`boolean` | `isMasterPasswordClear()` Deprecated. Set agent access password character is clear text or not.
`void` | `setAgentId(java.lang.Long agentId)` Agent ID Setter, agent Id will be auto-generated by DB squence.
`void` | `setIp(java.lang.String ip)` Agent IP/Hostname setter
`void` | `setMasterPasswordClear(boolean masterPasswordClear)` Deprecated. Set agent access password character is clear text or not.
`void` | `setPassword(java.lang.String password)` Agent xml-rpc access password against username, its default value is oracle Manager communication with agent will use this password.
`void` | `setStatus(java.lang.String status)` Agent Status.
`void` | `setVersion(java.lang.String version)` Agent Version Number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Agent

    public Agent()

Method Detail

### setAgentId

    public void setAgentId(java.lang.Long agentId)

  Agent ID Setter, agent Id will be auto-generated by DB squence.
  Parameters:
    `agentId` - Agent Id

### getAgentId

    public java.lang.Long getAgentId()

  Agent ID getter,agent Id will be auto-generated by DB squence.
  Returns:
    agentId Agent Id

### setIp

    public void setIp(java.lang.String ip)

  Agent IP/Hostname setter
  Parameters:
    `ip` - IP/Hostname

### getIp

    public java.lang.String getIp()

  Agent IP/Hostname setter
  Returns:
    Agent IP/Hostname

### getMasterLogin

    public java.lang.String getMasterLogin()

  Agent xml-rpc access username, its default value is
  - oracle
  - Manager communication with agent will use this username.
      Returns:
        Agent xml-rpc access username

    ### setPassword

        public void setPassword(java.lang.String password)

      Agent xml-rpc access password against username, its default value is
      - oracle
      - Manager communication with agent will use this password.
          Parameters:
            `password` - Agent xml-rpc access password against username

        ### getPassword

            public java.lang.String getPassword()

          Agent xml-rpc access password against username, its default value is
          - oracle
          - .
            Manager communication with agent will use this password.
              Returns:
                password Agent xml-rpc access password against username

            ### getPort

                public java.lang.Long getPort()

              Agent xml-rpc access port number, its default value is
              - 8899

              - Manager call agent api will use this port number.

                  Returns:
                    Agent xml-rpc access port number

                ### setStatus

                    public void setStatus(java.lang.String status)

                  Agent Status.

                  Agent status will be refresh by using background daemon (`PluginManagement`).
                  User can try to communication with agent to get its latest status.

                  Parameters:
                    `status` -
                  See Also:
                    `PluginManagement`, `AgentStatus`

                ### getStatus

                    public java.lang.String getStatus()

                  Agent Status.

                  Agent status will be refresh by using background daemon (`PluginManagement`).
                  User can try to communication with agent to get its latest status.

                  Returns:
                    Agent status
                  See Also:
                    `PluginManagement`, `AgentStatus`

                ### getType

                    public java.lang.String getType()

                  Deprecated. Agent Type

                  Agent type will changed with server type, And it will be stored into agent db.

                  Returns:
                    Agent Type
                  See Also:
                    `AgentType`

                ### getConnectionMode

                    public java.lang.String getConnectionMode()

                  Agent Connection mode, its default value is '2'(means support http secure protocol)
                  Returns:
                    Agent Connection mode

                ### setVersion

                    public void setVersion(java.lang.String version)

                  Agent Version Number.
                  Parameters:
                    `version` - Agent Version Number.
                  See Also:
                    `AgentConstants`

                ### getVersion

                    public java.lang.String getVersion()

                  Agent Version Number.
                  Returns:
                    version Agent Version Number.
                  See Also:
                    `AgentConstants`

                ### setMasterPasswordClear

                    public void setMasterPasswordClear(boolean masterPasswordClear)

                  Deprecated. Set agent access password character is clear text or not.
                  Parameters:
                    `masterPasswordClear` - Agent access password character is clear text or not.

                ### isMasterPasswordClear

                    public boolean isMasterPasswordClear()

                  Deprecated. Set agent access password character is clear text or not.
                  Returns:
                    Agent access password character is clear text or not.

                Overview | Package | Class | Tree | Deprecated | Index | Help
                | Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
                PREV CLASS NEXT CLASS | FRAMES NO FRAMES
                SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

                Copyright © 2009, Oracle. All rights reserved.